| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
ISignDocDialog Interface Reference
PDFViewCtrl » viewerui

Interface for handling the signature dialog. More...

## Public Member Functions
| destroy ()
| Cleans up resources used by the dialog. More...
| getCurrentSignature ()
| Gets the current signature widget if it exists. More...
| hide ()
| Hides the signature dialog. More...
| isOpened ()
| Checks if the signature dialog is currently opened. More...
| openWith (signature:Widget, okCallback:(data:SignDocInfo, sign:DigestSignHandler)=> Promise< void >|void, cancelCallback?:()=> Promise< void >|void)
| Opens the signature dialog with the specified signature widget. More...

## Detailed Description

Interface for handling the signature dialog.

Since
  11.0.0

See also
  ISignatureUI
  IViewerUI.getSignatureUI

## Member Function Documentation

## ◆ destroy()

ISignDocDialog::destroy | ( |  | ) |

Cleans up resources used by the dialog.

Returns
  void -

Since
  11.0.0

## ◆ getCurrentSignature()

ISignDocDialog::getCurrentSignature | ( |  | ) |

Gets the current signature widget if it exists.

Returns
  Widget|undefined - The current signature widget or undefined if not available.

Since
  11.0.0

## ◆ hide()

ISignDocDialog::hide | ( |  | ) |

Hides the signature dialog.

Returns
  void -

Since
  11.0.0

## ◆ isOpened()

ISignDocDialog::isOpened | ( |  | ) |

Checks if the signature dialog is currently opened.

Returns
  boolean - True if the dialog is opened, otherwise false.

## ◆ openWith()

ISignDocDialog::openWith | ( | signature:Widget | ,
|  | okCallback:(data:SignDocInfo, sign:DigestSignHandler) | ,
|  | Promise< void >| | void,
|  | cancelCallback? | :(),
|  | Promise< void >| | void
| ) |  |

Opens the signature dialog with the specified signature widget.

Parameters

  signature | Widget - The signature widget to be used.
  okCallback | (data:SignDocInfo,sign:DigestSignHandler)=>Promise<void>|void - Callback for when the user confirms the signature.
  [cancelCallback] | () => Promise<void> | void - Optional callback for when the user cancels the operation.

Returns
  Promise<void> - Resolves when the dialog is successfully opened.

Since
  11.0.0

@2025 Foxit Software Incorporated. All rights reserved.